Description

(replace it with function definition)

History

#1 - 07/08/2012 04:51 PM - Sender Ghost

- File 310_uppsrc.diff added

- Category set to IDE

- Status changed from New to Patch ready

- Assignee set to Miroslav Fidler

I created possible implementation.

Also I added Assist++ function for SKYLARK define by using "//$-" and "//$+" comments.

#2 - 07/08/2012 05:33 PM - Sender Ghost

- File deleted (310_uppsrc.diff)

#3 - 07/08/2012 05:33 PM - Sender Ghost

- File 310_uppsrc.diff added

#4 - 07/08/2012 10:56 PM - Sender Ghost

- File deleted (310_uppsrc.diff)

#5 - 07/08/2012 11:01 PM - Sender Ghost

- File 310_uppsrc.diff added

Added some checks for SKYLARK define.

Still, this implementation is not context sensitive. Capable preprocessor parser needed for complete context sensitive implementation.

#6 - 07/14/2012 09:20 PM - Sender Ghost

- File 310_uppsrc2.diff added

So, there are other ways to do it.

But still, I made the patch to fix it.

#7 - 07/14/2012 10:20 PM - Sender Ghost

04/27/2025 1/2

/redmine/projects/upp/repository/revisions/5188/diff/trunk/uppsrc/CppBase/Parser.cpp


The 'a.type = "void";' line in the patch might be not necessary.

#8 - 07/17/2012 09:59 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

310_uppsrc.diff 1.57 KB 07/08/2012 Sender Ghost

310_uppsrc2.diff 423 Bytes 07/14/2012 Sender Ghost
